Django 2.0 + Python 3 adoption

- style guide: 2018 edition
- thankfully nothing big breaks
- man this is a bigger project than I remember
5 jobs for 167-django-two-dot-oh in 1 minute and 24 seconds (queued for 3 seconds)
Name Stage Failure
failed
Go-py2.7 Test There is an unknown failure, please try again
  Cloning https://github.com/dhaynespls/django-qrcode.git to /tmp/pip-y0Pdf3-build
Collecting git+https://github.com/kstateome/django-cas.git (from -r requirements/base.txt (line 6))
Cloning https://github.com/kstateome/django-cas.git to /tmp/pip-f3QoaJ-build
Collecting git+https://github.com/dhaynespls/django-bootstrap3-datetimepicker.git (from -r requirements/base.txt (line 7))
Cloning https://github.com/dhaynespls/django-bootstrap3-datetimepicker.git to /tmp/pip-ndl_4q-build
Collecting Django<2.1,>=2.0 (from -r requirements/base.txt (line 1))
Could not find a version that satisfies the requirement Django<2.1,>=2.0 (from -r requirements/base.txt (line 1)) (from versions: 1.1.3, 1.1.4, 1.2, 1.2.1, 1.2.2, 1.2.3, 1.2.4, 1.2.5, 1.2.6, 1.2.7, 1.3, 1.3.1, 1.3.2, 1.3.3, 1.3.4, 1.3.5, 1.3.6, 1.3.7, 1.4, 1.4.1, 1.4.2, 1.4.3, 1.4.4, 1.4.5, 1.4.6, 1.4.7, 1.4.8, 1.4.9, 1.4.10, 1.4.11, 1.4.12, 1.4.13, 1.4.14, 1.4.15, 1.4.16, 1.4.17, 1.4.18, 1.4.19, 1.4.20, 1.4.21, 1.4.22, 1.5, 1.5.1, 1.5.2, 1.5.3, 1.5.4, 1.5.5, 1.5.6, 1.5.7, 1.5.8, 1.5.9, 1.5.10, 1.5.11, 1.5.12, 1.6, 1.6.1, 1.6.2, 1.6.3, 1.6.4, 1.6.5, 1.6.6, 1.6.7, 1.6.8, 1.6.9, 1.6.10, 1.6.11, 1.7, 1.7.1, 1.7.2, 1.7.3, 1.7.4, 1.7.5, 1.7.6, 1.7.7, 1.7.8, 1.7.9, 1.7.10, 1.7.11, 1.8a1, 1.8b1, 1.8b2, 1.8rc1, 1.8, 1.8.1, 1.8.2, 1.8.3, 1.8.4, 1.8.5, 1.8.6, 1.8.7, 1.8.8, 1.8.9, 1.8.10, 1.8.11, 1.8.12, 1.8.13, 1.8.14, 1.8.15, 1.8.16, 1.8.17, 1.8.18, 1.9a1, 1.9b1, 1.9rc1, 1.9rc2, 1.9, 1.9.1, 1.9.2, 1.9.3, 1.9.4, 1.9.5, 1.9.6, 1.9.7, 1.9.8, 1.9.9, 1.9.10, 1.9.11, 1.9.12, 1.9.13, 1.10a1, 1.10b1, 1.10rc1, 1.10, 1.10.1, 1.10.2, 1.10.3, 1.10.4, 1.10.5, 1.10.6, 1.10.7, 1.10.8, 1.11a1, 1.11b1, 1.11rc1, 1.11, 1.11.1, 1.11.2, 1.11.3, 1.11.4, 1.11.5, 1.11.6, 1.11.7, 1.11.8, 1.11.9, 1.11.10)
No matching distribution found for Django<2.1,>=2.0 (from -r requirements/base.txt (line 1))
ERROR: Job failed: exit code 1